<?php
require_once ("varables.php");

$myJSON = 0;
if(isset($_POST["nekot"]) && isset($_POST["json"]))
{

	$postdata = $_POST["json"];
	$products = json_decode($postdata,true);
	$toke = $_POST["nekot"];
if($toke == "sldiskdjgsoewmvmdpekdjghsncusi"){
    $connect = @mysqli_connect($hostname,$username,$password,$database);
    if($connect)
    {
        @mysqli_query($connect,"SET CHARACTER SET utf8;");

					for($i=0;$i<sizeof($products);$i++){
						$select_query = "SELECT id FROM ".$tbl_products." WHERE P_id ='".$products[$i]["P_id"]."'";
							$res =@mysqli_query($connect,$select_query);
							if(!$res){
								$myJSON ="خطا در همگامسازی اتوماتیک محصولات - ". @mysqli_error($connect);
									echo $myJSON;
								return;
							}
							else {
								$count=0;
								while($row = @mysqli_fetch_assoc($res)){
									$count++;
								}
								if($count > 0){
								
									$update_query= "UPDATE ".$tbl_products." SET  Price = '".$products[$i]["P_price"]."', Stack = '".$products[$i]["P_stack"]."' WHERE P_id ='".$products[$i]["P_id"]."'";
										$upres =@mysqli_query($connect,$update_query);
										if(!$upres){
										$myJSON ="خطا در همگامسازی اتوماتیک محصولات - ". @mysqli_error($connect);
											echo $myJSON ;// @mysqli_error($connect);// json_encode($myJSON);
										return;
								}
							}
				}
			}
				$myJSON = 200;
		}
	}
	 else
	 $myJSON ="خطا در همگامسازی اتوماتیک محصولات - خطا در برقراری ارتباط با پایگاه داده";
}
    echo $myJSON;

?>
